package stamp.util.os;

/**
 * This class defines a simple task. It only has a single method execute().
 * The idea is to let this execute() be called inside a method that takes a
 * long time to complete. The SimpleTask then can check input pins and set a flag
 * or keep flashing a led while running the method. Basically it simulates an interrupt.
 * This task is usually also called in the mainloop. By also calling it from a method
 * it appears this task runs continuesly and the method does not need to return in
 * a specific time.
 *
 * Revision History:
 * 02/07/2005: v1.0: Initial release.
 * </pre><p>
 * @author Peter Verkaik (peterverkaik@boselectro.nl)
 * version 1.0 February 7, 2005
 */

public abstract class SimpleTask {

  /**
   * Constructor for SimpleTask.
   */
  public SimpleTask() {
  }

  /**
   * Execute a simple task.
   * The task must be non-blocking
   */
  public abstract void execute();

}
