package stamp.core;
 
/**
 * Class with methods to select the message window view that
 * will be used to display System.out.print() messages.
 *
 * @author Peter Verkaik (verkaik6@zonnet.nl)
 * @date July 11, 2007
 * @version 1.0
 */
 
public class JideTerminal {

  static final char kTRM0 = 12;
  static final char kTRM1 = 21;
  static final char kTRM2 = 22;
  static final char kTRM3 = 23;
  static final char kTRM4 = 24;
  
  static char[] TRM0 = new char[]{kTRM0};  //redirect terminal data to message window view0 (main)
  static char[] TRM1 = new char[]{kTRM1};  //redirect terminal data to message window view1
  static char[] TRM2 = new char[]{kTRM2};  //redirect terminal data to message window view2
  static char[] TRM3 = new char[]{kTRM3};  //redirect terminal data to message window view3
  static char[] TRM4 = new char[]{kTRM4};  //redirect terminal data to message window view4

  /**
   * redirect terminal data to message window view
   *
   * @param window Id of window view
   *               (0 to 4)
   */
  public static void View(int window) {
    switch (window) {
      case 0: CPU.message(TRM0,1);
              break;
      case 1: CPU.message(TRM1,1);
              break;
      case 2: CPU.message(TRM2,1);
              break;
      case 3: CPU.message(TRM3,1);
              break;
      case 4: CPU.message(TRM4,1);
              break;
      default:
    }
  }

  /**
   * redirect terminal data to message window view0 (main)
   */
  public static void View0() {
    CPU.message(TRM0,1);
  }

  /**
   * redirect terminal data to message window view1
   */
  public static void View1() {
    CPU.message(TRM1,1);
  }

  /**
   * redirect terminal data to message window view2
   */
  public static void View2() {
    CPU.message(TRM2,1);
  }

  /**
   * redirect terminal data to message window view3
   */
  public static void View3() {
    CPU.message(TRM3,1);
  }

  /**
   * redirect terminal data to message window view4
   */
  public static void View4() {
    CPU.message(TRM4,1);
  }
  
}
