import stamp.core.*;
import stamp.math.*;
import stamp.util.text.*;

public class ScaledTimer16_test {

  public static void main() {
    ScaledTimer16 timer = new ScaledTimer16(400,100); //timeUnit = 1000usec = 1msec
    String intString = new String ("xxxxxx");
    int prev=0, passed, passedMS=0;

    int time = timer.TicksToTime(1000);
    int ticks = timer.TimeToTicks(time);  //this should return 1000
    Format.printf("time = %d\n",time);
    Format.printf("ticks = %d\n",ticks);

    for (int i=0; i < 100; i++) {
      int delayTime = 11*i; //this should be approx. 1 msec per unit

      timer.mark();
      CPU.delay (delayTime);
      passed = timer.passedTicks();

      if (i > 0) { //for i=0 prev has an invalid value so step is invalid
        System.out.print ("delay=");
        System.out.print (String.valueOf (delayTime, intString));
        System.out.print (", passed=");
        System.out.print (String.valueOf (passed, intString));
        passedMS = timer.TicksToTime(passed);
        System.out.print (", passedMS=");
        System.out.println (String.valueOf (passedMS, intString));
      }
      prev = passed;
    }
  }
}