// FiboTest
//
import stamp.core.*;
import stamp.math.*;
import stamp.util.text.*;

public class FiboTest
{
  public FiboTest() {
  }

  private static int fibo(int n)
  {
    if ( n > 2 ) {
      return fibo(n-1) + fibo(n-2);
    }
    else {
      return 1; // FIBO 0 should by definition return 0
    }
  }

  public void test(int count, int end)
  {
    int result = 0;
    int ms = 0;
    int passed = 0;

    ScaledTimer16 timer = new ScaledTimer16(400,100);

    while(count <= end) {
      Format.printf("FIBO(%02d)", count);
      timer.mark();
      if(count == 0) result = 0; // FIBO 0 = 0
      else result = fibo(count);
      //CPU.delay(1000); // delay 95.48ms according to Javelin definition
      passed = timer.passedTicks();
      ms = timer.TicksToTime(passed);

      Format.printf(" = %5u ", result);
      Format.printf("(%5u ticks) ", passed);
      Format.printf("(%5u ms)\r\n", ms);

      count++;
    }

  }

  public static void main()
  {
    System.out.println("");
    FiboTest fibo = new FiboTest();
    while (true)
      fibo.test(0,24);
  }

  public static void main(String[] args)
  {
    FiboTest fibo = new FiboTest();
    fibo.test(24,40);
  }

}
// end class
