import stamp.core.*;
import stamp.peripheral.io.*;
import stamp.util.text.*;

/*
 * test I2C 
 */

public class I2CTest {


  public static void main() {
    int s=5000;
  
    I2C ioBus = new I2C(PROP.pin29, PROP.pin28);
    EE24LC256 eeI2C = new EE24LC256(ioBus,0x00); 
  
    //CPU.delay(30000);
    System.out.print("Step 1");
  
    if(eeI2C.isPresent()){
      //eeI2C.write(0x10,0x00,0xAA);
      System.out.print("Step 2");
    }
    else{
      System.out.print("EEPROM Not Found.");
      while ( true ) {  
        CPU.writePin(PROP.pin0,true);
        CPU.delay(s);
        CPU.writePin(PROP.pin0,false);
        CPU.delay(s);    
      }
    }
  
    //readTest(ioBus, 0,0);

    CPU.writePin(PROP.pin0,false);
  
    System.out.println("Step 3");
    boolean readloop = false;
    do {
      for(int n = 3; n >= 0; n--) {
        Format.printf("%02x", eeI2C.read(0x00,n));
      }
      System.out.print("\r\n");
    }
    while ( readloop );

    System.out.print("Step 4");
    while ( true ) {
      int val = eeI2C.read(0x00,0x00);
      System.out.print("__");
      System.out.print(val);
      //System.out.print("__"+eeI2C.read(0x00,0x00)+"__"); // if no GC, run out of memory
    }
  }

  public static void readTest(I2C bus, int adrH, int adrL) {
    int eeadr = 0xA0;
    int dataIn;

    do {
      bus.start();
      bus.write(eeadr);                     // send write addres
      bus.write(adrH);                      // write new outputs to buffer
      bus.write(adrL);

      bus.start();
      bus.write(eeadr | 1);                 // send read address (bit zero is set)
      bus.read(bus.ACK);                    // read buffer
      dataIn = bus.read(bus.NAK);           // read current inputs
      bus.stop();
    }
    while(true);
  }

}

