
import stamp.core.CPU;
import stamp.core.Timer;
import stamp.core.ScaledTimer16;
import stamp.util.text.*;

public class TickTockTest
{
    public static void main() 
    {
        Timer clock = new Timer();
        ScaledTimer16 scaledTimer = new ScaledTimer16 (400, 100);

        int time = scaledTimer.TicksToTime(1000);
        Format.printf("time = %d\r\n",time);
        int ticks = scaledTimer.TimeToTicks(time);  //this should return 1000
        Format.printf("ticks = %d\r\n",ticks);

        System.out.println ("\nStarting ScaledTimer test...");
        boolean tick = false;
        int i = 0;
        int errors = 0;
        while (errors == 0)
        {
            i++;
            scaledTimer.mark();
            for (clock.mark(); !clock.timeout(1000););
            //for (clock.mark(); !clock.timeout(100););
            ticks = scaledTimer.passedTicks();
            time = scaledTimer.passedTime();
            if (time < 1000) errors++;
            //if (time < 100) errors++;
            
            System.out.print(i);
            System.out.print(" ");
            System.out.print(ticks);
            System.out.print(" ticks. ");
            System.out.print(time);
            System.out.print(" ms. ");
            System.out.print(tick?"tick ":"tock ");
            System.out.print(errors);
            System.out.println(" error(s).");
            tick=!tick;
        } // end for
        System.out.println ("End...");

    } // end main
}
